﻿using Microsoft.Kinect;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KinectInteraction
{
    public class KinectImageHelper
    {
        public byte[] Image { get; set; }
        public event Action KinectImageChanged;
        public int FrameWidth {get; private set;}
        public int FrameHeight { get; private set; }

        public KinectImageHelper(ColorImageStream imageStream)
        {
            FrameHeight = imageStream.FrameHeight;
            FrameWidth = imageStream.FrameWidth;
            Image = new byte[imageStream.FramePixelDataLength];
        }


        public void SensorColorFrameReady(object sender, Microsoft.Kinect.ColorImageFrameReadyEventArgs e)
        {
            using (ColorImageFrame colorFrame = e.OpenColorImageFrame())
            {
                if (colorFrame == null)
                    return;
                colorFrame.CopyPixelDataTo(Image);
                if (KinectImageChanged != null)
                    KinectImageChanged();
            }
        }
    }
}
